Bug 145319 - Low free Memory
Low free Memory
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: sysstat (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Charlie Bennett
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-17 09:02 EST by Klas Pettersson
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-02 10:32:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Klas Pettersson 2005-01-17 09:02:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET 
CLR 1.0.3705)

Description of problem:
Output from free -m:

[root@r2pgardel log]# free -m
             total       used       free     shared    buffers     
cached
Mem:          2007       1931         75          0        132       
1631
-/+ buffers/cache:        167       1839
Swap:         4000          0       4000

This during low load and 1 user. Why is the percantage of free memory 
so smal? Tried to tune the memory usage with via the /etc/sysctl.conf 
file. I´ve succeeded in raising the inactive_clean_percent to 40 but 
when I try to change bdflush with the following line in sysctl.conf:
vm.bdflush="30      700     0       0       400     2500    70      
40      0"
It still states the default values after reboot. Even if I issue the 
command sysctl -p it persists!


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
N/A
    

Expected Results:  Freeing memory.

Additional info:
Comment 1 Klas Pettersson 2005-01-20 09:10:08 EST
The value of free memory varies between 50 - 100 MB. This is 
unchanged if I start a lot of applications so the kernel (2.4.21-
27.0.1.ELsmp) seems to free memory as it should. I´m still a bit 
worried about the low memory avialable... 
Comment 2 Charlie Bennett 2005-02-01 15:35:20 EST
Hi - this question gets asked a lot.

"Free memory" is found in two places...  there's some on the 'Mem: '
line and some more on the "+/- buffers/cache: "

If you look at the free on the top line it looks alarming.  The free
on second line is less so.

The Linux kernel reserves most unused memory for use as internal
buffers and filesystem buffer cache.  The first line reports:

Total:   how much physical memory the machine has
Used:    amount of used (kernel + user + buffers + cache) memory
Free:    how much unallocated memory
Shared:  how much is shared via shm, mmap, shlibs, etc.
Buffers: how much is preallocated to unused kernel buffers
Cached:  how much is preallocated to unsued filesystem buffer cache

The second line reports:

Used:    amount of system memory that is actually in use
         this is the first line 'used' - (buffers + cache)

Free:    amount of memory that isn't actually busy
         this is the first line 'free' + buffers + cache.

From your free listing I see that you have 1839M of your 2007M free.

You're doing great!  No need to worry.

Feel better?

Comment 3 Klas Pettersson 2005-02-02 01:24:23 EST
Much better thank you! Feels much better to know that my mem is some 
where safe.

;-)

Note You need to log in before you can comment on or make changes to this bug.